set serveroutput on size 1000000

PROMPT Forcing DXS and DXC to use MONITORING
---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- %Z% %M% %I%.%B% %E% %U%
-- %Z% %Q%
--

--
-- This script adds the MONITOR option to DXS and DXC tables
-- that do not already have it set.
--
-- This is only needed for 9i systems. In 10g the tables are
-- monitored automatically.
--
--
DECLARE

   -- Tables that need MONITORING
   CURSOR clist IS
      SELECT table_name 
      FROM user_tables
      WHERE ( table_name LIKE '%\_DXS' ESCAPE '\'
      OR table_name LIKE '%\_DXC' ESCAPE '\' )
      AND monitoring = 'NO'
      ORDER BY table_name;

BEGIN

   -- Get the list of missing tables and columns
   FOR rec IN clist LOOP

      DBMS_OUTPUT.PUT_LINE( rec.table_name );

      BEGIN
         EXECUTE IMMEDIATE 'ALTER TABLE ' || rec.table_name || ' MONITORING ';
      END;

   END LOOP;
END;
/
